// To parse this JSON data, do
//
//     final structureMaterials = structureMaterialsFromJson(jsonString);

import 'package:meta/meta.dart';
import 'dart:convert';

StructureMaterials structureMaterialsFromJson(String str) =>
    StructureMaterials.fromJson(json.decode(str));

String structureMaterialsToJson(StructureMaterials data) =>
    json.encode(data.toJson());

class StructureMaterials {
  final int? id;
  final String? foundation;
  final String? columns;
  final String? beams;
  final String? trussFraming;
  final String? roof;
  final String? flooring;
  final String? walls;

  StructureMaterials({
    this.id,
    this.foundation,
    this.columns,
    this.beams,
    this.trussFraming,
    this.roof,
    this.flooring,
    this.walls,
  });

  factory StructureMaterials.fromJson(Map<String, dynamic> json) =>
      StructureMaterials(
        id: json["id"],
        foundation: json["foundation"],
        columns: json["columns"],
        beams: json["beams"],
        trussFraming: json["truss_framing"],
        roof: json["roof"],
        flooring: json["flooring"],
        walls: json["walls"],
      );

  Map<String, dynamic> toJson() => {
        "id": id,
        "foundation": foundation,
        "columns": columns,
        "beams": beams,
        "truss_framing": trussFraming,
        "roof": roof,
        "flooring": flooring,
        "walls": walls,
      };
}
